Core - Bug # 65473

Status: Resolved Priority: Must have
Author: Nicole Cordes Category:

Created: 2015-03-03 Assigned To: Nicole Cordes
Updated: 2015-03-04 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Remove closure in signalSlotDispatcher

Description

For non-composer installation an anonymous function is assigned to the signalSlotDispatcher. This breaks serialization of different
objects (e.g FAL references)

Related issues:
related to Core - Bug # 65535: Exception: Serialization of 'Closure' is not a... Under Review 2015-03-05

Associated revisions

Revision 9687a429 - 2015-03-04 19:23 - Nicole Cordes

[BUGFIX] Remove Closure in signalSlotDispatcher

As the classAliasMap is a singleton we don't need to initialize it on
every dispatch, but we can call the method directly on the instance.
This prevents a closure for signalSlotDispatcher which otherwise throws

an exception on serialization.

Releases: master

Resolves: #65473

Change-Id: 11280a4a054f3b63b4b5e71262d4d054b511f001b
Reviewed-on: http://review.typo3.org/37485

Reviewed-by: HelImut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2015-03-03 10:49 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37485

#2 - 2015-03-03 10:52 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/37485

#3 - 2015-03-03 11:46 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/37485

#4 - 2015-03-03 11:47 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/37485

#5 - 2015-03-04 15:03 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/37485

#6 - 2015-03-04 19:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9687a4297b17b70238a7ceabb4c691ed77123dbc.
